picard.illumina.parser.readers

## Class BclIndexReader

- java.lang.Object
- - picard.illumina.parser.readers.BclIndexReader

-     public class BclIndexReader
      extends Object

  Annoyingly, there are two different files with extension .bci in NextSeq output. This reader handles the file that contains virtual file pointers into a .bcl.bgzf file. After the header, there is a 64-bit record per tile.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BclIndexReader(File bclFile)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `get(int recordNumber)`
    `File` | `getBciFile()`
    `int` | `getNumTiles()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BclIndexReader

          public BclIndexReader(File bclFile)

  - ### Method Detail

    - #### getNumTiles

          public int getNumTiles()

    - #### get

          public long get(int recordNumber)

    - #### getBciFile

          public File getBciFile()